package com.kmall.schedule.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 门店库存变化表实体
 * 表名 mall_store_mng_change
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-03-11 10:29:49
 */
public class StoreMngChangeJobEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Integer id;
    /**
     * 门店库存变化数
     */
    private Integer storeChangeNum;
    /**
     * 门店原库存数
     */
    private Integer storeOriginalNum;
    /**
     * 门店库存可用数
     */
    private Integer storeValidNum;
    /**
     * 商户编号
     */
    private String merchSn;
    /**
     * 门店编号
     */
    private Integer storeId;
    /**
     * 商品id
     */
    private Integer goodsId;
    /**
     * 是否有效,0:有效，1:无效
     */
    private Integer isValid;
    /**
     * 变动类型 0：还原 1：扣减
     */
    private String changeType;
    /**
     * 变动原因
     */
    private String changeReason;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：门店库存变化数
     */
    public void setStoreChangeNum(Integer storeChangeNum) {
        this.storeChangeNum = storeChangeNum;
    }

    /**
     * 获取：门店库存变化数
     */
    public Integer getStoreChangeNum() {
        return storeChangeNum;
    }
    /**
     * 设置：门店原库存数
     */
    public void setStoreOriginalNum(Integer storeOriginalNum) {
        this.storeOriginalNum = storeOriginalNum;
    }

    /**
     * 获取：门店原库存数
     */
    public Integer getStoreOriginalNum() {
        return storeOriginalNum;
    }
    /**
     * 设置：门店库存可用数
     */
    public void setStoreValidNum(Integer storeValidNum) {
        this.storeValidNum = storeValidNum;
    }

    /**
     * 获取：门店库存可用数
     */
    public Integer getStoreValidNum() {
        return storeValidNum;
    }
    /**
     * 设置：商户编号
     */
    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    /**
     * 获取：商户编号
     */
    public String getMerchSn() {
        return merchSn;
    }
    /**
     * 设置：门店编号
     */
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：门店编号
     */
    public Integer getStoreId() {
        return storeId;
    }
    /**
     * 设置：商品id
     */
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 获取：商品id
     */
    public Integer getGoodsId() {
        return goodsId;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public Integer getIsValid() {
        return isValid;
    }
    /**
     * 设置：变动类型 0：还原 1：扣减
     */
    public void setChangeType(String changeType) {
        this.changeType = changeType;
    }

    /**
     * 获取：变动类型 0：还原 1：扣减
     */
    public String getChangeType() {
        return changeType;
    }
    /**
     * 设置：变动原因
     */
    public void setChangeReason(String changeReason) {
        this.changeReason = changeReason;
    }

    /**
     * 获取：变动原因
     */
    public String getChangeReason() {
        return changeReason;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
